org.apache.uima.flow

## Class SimpleStep

- java.lang.Object
- - org.apache.uima.flow.Step
  - - org.apache.uima.flow.SimpleStep

- Direct Known Subclasses:
    SimpleStepWithResultSpec

      public class SimpleStep
      extends Step

  Indicates that a CAS should be routed to a single AnalysisEngine. After it has been processed, the `Flow.next()` method will be called again to determine the next destination for the CAS.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleStep(String aCasProcessorKey)` Creates a new SimpleStep

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAnalysisEngineKey()` Gets the key of the Analysis Engine to which the CAS should be routed.
    `void` | `setAnalysisEngineKey(String aKey)` Sets the key of the Analysis Engine to which the CAS should be routed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleStep

          public SimpleStep(String aCasProcessorKey)

      Creates a new SimpleStep
      Parameters:
        `aCasProcessorKey` - The key of the Analysis Engine to which the CAS should be routed. This must be one of the keys in the FlowController's `FlowControllerContext.getAnalysisEngineMetaDataMap()`.

  - ### Method Detail

    - #### getAnalysisEngineKey

          public String getAnalysisEngineKey()

      Gets the key of the Analysis Engine to which the CAS should be routed.
      Returns:
        an AnalysisEngine key

    - #### setAnalysisEngineKey

          public void setAnalysisEngineKey(String aKey)

      Sets the key of the Analysis Engine to which the CAS should be routed. By using this method, a user's Flow implementation can (but is not required to) reuse the same SimpleStep object multiple times.
      Parameters:
        `aKey` - an Analysis Engine key. This must be one of the keys in the FlowController's `FlowControllerContext.getAnalysisEngineMetaDataMap()`.

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.